class PaymentException implements Exception {
  String failureMessage = '';

  PaymentException({required this.failureMessage});
}

class InvalidOtp extends PaymentException {
  InvalidOtp([message]) : super(failureMessage: message);
}
class BadRequest extends PaymentException {
  BadRequest([message]) : super(failureMessage: message);
}
class InvalidUser extends PaymentException {
  InvalidUser([message]) : super(failureMessage: message);
}

class InsufficientBalance extends PaymentException {
  InsufficientBalance([message]) : super(failureMessage: message);
}

class PinUnset extends PaymentException {
  PinUnset([message]) : super(failureMessage: message);
}


class InvalidGatewayUser extends PaymentException {
  InvalidGatewayUser([message]) : super(failureMessage: message);
}

class MultipleWrongOTP extends PaymentException {
  MultipleWrongOTP([message]) : super(failureMessage: message);
}

class PaymentAlreadyCompleted extends PaymentException {
  PaymentAlreadyCompleted([message]) : super(failureMessage: message);
}
class OTPExpired extends PaymentException {
  OTPExpired([message]) : super(failureMessage: message);
}

class UnauthorizedException extends PaymentException {
  UnauthorizedException([message]) : super(failureMessage: message);
}
