import 'package:moru_payment_gateway/dto/request/access_validate.dart';
import 'package:moru_payment_gateway/dto/request/user_validate.dart';
import 'package:moru_payment_gateway/dto/request/pay_data.dart';
import 'package:moru_payment_gateway/dto/response/validated_access_res.dart';
import 'package:moru_payment_gateway/dto/response/validated_user_res.dart';

abstract class PaymentContracts {
  Future<ValidatedAccessRes> validateAccess({required AccessValidate clientData});

  Future<ValidatedUserRes> validateUser(
      {required UserValidate userValidate});

  Future<Null> initiatePay({required PayData payData});
}
